import React from 'react';

import './icons.pcss';

export type IconId =
    'faq' |
    'delete' |
    'aim' |
    'cross' |
    'info' |
    'switcher' |
    'safari' |
    'settings' |
    'compass' |
    'arrow' |
    'network';

export const Icons = () => (
    <svg xmlns="http://www.w3.org/2000/svg" className="icons">
        <symbol id="delete" viewBox="0 0 24 24" fill="none">
            <path fillRule="evenodd" clipRule="evenodd" d="M7 9H17L16.2367 19.0755C16.1972 19.597 15.7625 20 15.2396 20H8.76044C8.23746 20 7.80281 19.597 7.7633 19.0755L7 9Z" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M6 6.5H18" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M14 6V4L10 4V6" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path fillRule="evenodd" clipRule="evenodd" d="M13.5 12V17V12Z" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path fillRule="evenodd" clipRule="evenodd" d="M10.5 12V17V12Z" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
        </symbol>
        <symbol id="aim" viewBox="0 0 24 24" fill="none">
            <path fillRule="evenodd" clipRule="evenodd" d="M11.9997 9.27271C10.4935 9.27271 9.27246 10.4937 9.27246 12C9.27246 13.5062 10.4935 14.7273 11.9997 14.7273C13.506 14.7273 14.727 13.5062 14.727 12C14.7252 10.4945 13.5052 9.27447 11.9997 9.27271Z" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path fillRule="evenodd" clipRule="evenodd" d="M12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21C16.9706 21 21 16.9706 21 12C20.9942 7.03185 16.9682 3.00581 12 3Z" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M2 12H6" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M18 12H22" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M12 2V6" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M12 18V22" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
        </symbol>
        <symbol id="cross" viewBox="0 0 24 24" fill="none">
            <path d="M6.42857 6.42857L17.6043 17.6043" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
            <path d="M6.42871 17.5714L17.6045 6.39563" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
        </symbol>
        <symbol id="info" viewBox="0 0 24 24" fill="none">
            <circle cx="12" cy="12" r="9" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M12 16V10" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M11.997 7.59552C12.009 7.59745 11.997 7.40446 11.997 7.40446" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
        </symbol>
        <symbol id="switcher" viewBox="0 0 24 15">
            <g id="Slide">
                <rect id="Shape" width="24" height="15" rx="7.5" transform="matrix(-1 0 0 1 24 0)" fill="#67B279" />
                <circle id="Oval" r="6.25" transform="matrix(-1 0 0 1 16.5 7.5)" fill="white" stroke="#E5E5E5" strokeWidth="0.5" />
            </g>
        </symbol>
        <symbol id="safari" viewBox="0 0 24 24">
            <g id="safari-3">
                <circle id="Oval" cx="11.9994" cy="11.9994" r="11.9994" fill="#DBDBDA" />
                <circle id="Oval_2" cx="11.9993" cy="11.9993" r="11.0994" fill="#2C93DD" />
                <g id="Group">
                    <path id="Path" d="M12.0185 3.59978C11.9435 3.59978 11.8779 3.54355 11.8779 3.46856V1.50927C11.8779 1.43427 11.9435 1.37805 12.0185 1.37805C12.0935 1.37805 12.1591 1.43427 12.1591 1.50927V3.46856C12.1498 3.54355 12.0935 3.59978 12.0185 3.59978Z" fill="#F3F3F3" />
                    <path id="Path_2" d="M12.9559 2.54978C12.8809 2.54039 12.8247 2.48417 12.8247 2.40918L12.8903 1.53728C12.8996 1.46239 12.9653 1.40607 13.0403 1.41545C13.1153 1.42484 13.1715 1.48116 13.1715 1.55615L13.1059 2.42795C13.0965 2.50294 13.0309 2.55917 12.9559 2.54988V2.54978Z" fill="#F3F3F3" />
                    <path id="Path_3" d="M13.6591 3.76849C13.5841 3.74972 13.5372 3.68411 13.5466 3.60911L13.931 1.68728C13.9497 1.61238 14.0154 1.56545 14.0903 1.58422C14.1653 1.60299 14.2122 1.6686 14.2028 1.7436L13.8184 3.66543C13.809 3.73095 13.734 3.77788 13.659 3.76849H13.6591Z" fill="#F3F3F3" />
                    <path id="Path_4" d="M14.7838 2.9248C14.7477 2.9161 14.7166 2.89343 14.6972 2.86178C14.6779 2.83012 14.672 2.79208 14.6807 2.75603L14.9151 1.9124C14.9337 1.8374 15.0087 1.79985 15.0837 1.81863C15.1587 1.8374 15.2057 1.9124 15.1869 1.98739L14.9525 2.83112C14.9337 2.90602 14.8587 2.94357 14.7838 2.9248Z" fill="#F3F3F3" />
                    <path id="Path_5" d="M15.2434 4.24668C15.1684 4.21852 15.1403 4.13414 15.1684 4.06853L15.9183 2.25924C15.9464 2.19363 16.0309 2.15608 16.0964 2.19363C16.1715 2.22169 16.1997 2.30617 16.1715 2.37168L15.4215 4.18098C15.3935 4.24668 15.309 4.28413 15.2435 4.24668H15.2434Z" fill="#F3F3F3" />
                    <path id="Path_6" d="M16.5087 3.64674C16.443 3.6092 16.4148 3.5342 16.443 3.46859L16.8368 2.69057C16.8742 2.62486 16.9492 2.5967 17.0243 2.63425C17.0899 2.6718 17.118 2.74679 17.0899 2.8123L16.6961 3.59043C16.6586 3.65603 16.5836 3.68429 16.5086 3.64674H16.5087Z" fill="#F3F3F3" />
                    <path id="Path_7" d="M16.6964 5.03411C16.6308 4.98728 16.612 4.9029 16.6588 4.84667L17.7463 3.22482C17.7838 3.15921 17.8682 3.14982 17.9337 3.18737C17.9995 3.23421 18.0181 3.31859 17.9713 3.37481L16.8838 4.99667C16.8464 5.06227 16.762 5.08105 16.6964 5.03411Z" fill="#F3F3F3" />
                    <path id="Path_8" d="M18.0649 4.68732C18.0087 4.64038 17.99 4.556 18.0368 4.49978L18.5805 3.81543C18.6274 3.7593 18.7118 3.74982 18.768 3.79675C18.8243 3.84359 18.843 3.92797 18.796 3.98419L18.2524 4.66854C18.2056 4.72477 18.1212 4.73415 18.065 4.68732H18.0649Z" fill="#F3F3F3" />
                    <path id="Path_9" d="M17.9714 6.09343C17.9151 6.03721 17.9151 5.95282 17.9714 5.90589L19.3587 4.5279C19.4151 4.47167 19.4994 4.48096 19.5463 4.5279C19.5931 4.57473 19.6025 4.6685 19.5463 4.71534L18.1683 6.09343C18.112 6.14965 18.0276 6.14965 17.9714 6.09343Z" fill="#F3F3F3" />
                    <path id="Path_10" d="M19.3773 6.01837C19.3305 5.96215 19.3305 5.87777 19.3867 5.83084L20.0523 5.26841C20.1085 5.22158 20.1929 5.23087 20.2398 5.28719C20.2866 5.34341 20.2866 5.42779 20.2304 5.47463L19.5648 6.03715C19.5085 6.08398 19.4241 6.0746 19.3773 6.01837Z" fill="#F3F3F3" />
                    <path id="Path_11" d="M19.0026 7.36832C18.9557 7.30271 18.9745 7.21833 19.0401 7.18078L20.6713 6.09339C20.7369 6.05584 20.8212 6.07461 20.8587 6.13093C20.9056 6.19654 20.8869 6.28093 20.8212 6.31837L19.1901 7.40577C19.1338 7.44332 19.0494 7.42454 19.0026 7.36832Z" fill="#F3F3F3" />
                    <path id="Path_12" d="M20.3995 7.56525C20.362 7.49955 20.3807 7.41526 20.4463 7.37771L21.2057 6.94651C21.2713 6.90896 21.3557 6.93712 21.3931 7.00264C21.4307 7.06834 21.4119 7.15263 21.3463 7.19017L20.587 7.62148C20.5213 7.65892 20.437 7.63086 20.3994 7.56516L20.3995 7.56525Z" fill="#F3F3F3" />
                    <path id="Path_13" d="M19.7709 8.812C19.7429 8.73701 19.7709 8.66201 19.8459 8.63395L21.6552 7.88399C21.7208 7.85583 21.8052 7.89328 21.8333 7.95888C21.8614 8.03388 21.8333 8.10888 21.7583 8.13694L19.9491 8.8869C19.8834 8.91506 19.7991 8.8869 19.7709 8.812Z" fill="#F3F3F3" />
                    <path id="Path_14" d="M21.0928 9.28076C21.0647 9.20567 21.1022 9.13077 21.1772 9.10261L22.0021 8.83069C22.0678 8.80262 22.1521 8.84946 22.1709 8.91507C22.199 8.99007 22.1615 9.06506 22.0865 9.09322L21.2616 9.36514C21.196 9.39321 21.121 9.35576 21.0928 9.28066V9.28076Z" fill="#F3F3F3" />
                    <path id="Path_15" d="M20.2493 10.3964C20.2305 10.3214 20.2773 10.2464 20.3523 10.237L22.2742 9.86204C22.3491 9.84327 22.4148 9.89949 22.4334 9.97449C22.4522 10.0495 22.4054 10.1245 22.3304 10.1339L20.4085 10.5088C20.3335 10.5182 20.2586 10.4714 20.2492 10.3964H20.2493Z" fill="#F3F3F3" />
                    <path id="Path_16" d="M21.4494 11.1182C21.44 11.0432 21.4869 10.9776 21.5619 10.9682L22.4243 10.865C22.4993 10.8557 22.565 10.912 22.5743 10.9869C22.5837 11.0619 22.5368 11.1276 22.4618 11.1369L21.5993 11.24C21.5337 11.2494 21.4587 11.1932 21.4493 11.1182H21.4494Z" fill="#F3F3F3" />
                    <path id="Path_17" d="M20.3994 12.0274C20.3994 11.9525 20.4555 11.8868 20.5306 11.8868H22.4899C22.5649 11.8868 22.6211 11.9525 22.6211 12.0274C22.6211 12.1024 22.5649 12.1681 22.4899 12.1681H20.5306C20.4556 12.1681 20.3994 12.1024 20.3994 12.0274Z" fill="#F3F3F3" />
                    <path id="Path_18" d="M21.44 12.9742C21.4493 12.8992 21.5056 12.843 21.5806 12.843L22.4525 12.9086C22.5274 12.918 22.5837 12.9836 22.5743 13.0586C22.565 13.1336 22.5087 13.1898 22.4337 13.1898L21.5619 13.1242C21.4963 13.1148 21.4399 13.0492 21.4399 12.9742H21.44Z" fill="#F3F3F3" />
                    <path id="Path_19" d="M20.2307 13.6587C20.2495 13.5837 20.3151 13.5368 20.3901 13.5463L22.3118 13.9306C22.3868 13.9493 22.4337 14.0149 22.415 14.0899C22.3962 14.1649 22.3306 14.2118 22.2556 14.2024L20.3337 13.8181C20.2681 13.8087 20.2213 13.7337 20.2307 13.6587Z" fill="#F3F3F3" />
                    <path id="Path_20" d="M21.0742 14.7836C21.0829 14.7476 21.1055 14.7165 21.1372 14.6971C21.1688 14.6778 21.2068 14.6718 21.2429 14.6805L22.0866 14.9148C22.1616 14.9336 22.199 15.0087 22.1804 15.0836C22.1717 15.1197 22.149 15.1508 22.1174 15.1702C22.0857 15.1895 22.0476 15.1955 22.0116 15.1867L21.1679 14.9524C21.0929 14.9336 21.0554 14.8586 21.0741 14.7836H21.0742Z" fill="#F3F3F3" />
                    <path id="Path_21" d="M19.7524 15.2335C19.7805 15.1585 19.865 15.1304 19.9305 15.1585L21.7399 15.9085C21.8055 15.9366 21.8429 16.021 21.8149 16.0866C21.7867 16.1616 21.7023 16.1897 21.6367 16.1616L19.8274 15.4117C19.7524 15.3836 19.7243 15.2991 19.7524 15.2336V15.2335Z" fill="#F3F3F3" />
                    <path id="Path_22" d="M20.3615 16.4991C20.3991 16.4335 20.474 16.4053 20.5396 16.4335L21.3177 16.8272C21.3833 16.8553 21.4115 16.9397 21.374 17.0147C21.3365 17.0803 21.2615 17.1085 21.1959 17.0803L20.4179 16.6866C20.3522 16.6491 20.324 16.5647 20.3615 16.4991Z" fill="#F3F3F3" />
                    <path id="Path_23" d="M18.9835 16.6773C19.0305 16.6117 19.1055 16.5929 19.1711 16.6398L20.8022 17.7273C20.8678 17.7647 20.8772 17.8492 20.8397 17.9147C20.7928 17.9804 20.7178 17.9991 20.6522 17.9523L19.0211 16.8648C18.9555 16.8179 18.9367 16.7335 18.9835 16.6773Z" fill="#F3F3F3" />
                    <path id="Path_24" d="M19.3303 18.0366C19.3772 17.9803 19.4615 17.9616 19.5178 18.0086L20.2021 18.5428C20.2583 18.5897 20.2677 18.674 20.2209 18.7304C20.1741 18.7865 20.0897 18.8054 20.0333 18.7584L19.349 18.2241C19.2929 18.1772 19.2834 18.0929 19.3303 18.0366Z" fill="#F3F3F3" />
                    <path id="Path_25" d="M17.9336 17.9428C17.9899 17.8866 18.0743 17.8866 18.1211 17.9428L19.5085 19.3208C19.5648 19.3771 19.5554 19.4615 19.5085 19.5083C19.4524 19.5646 19.3679 19.5646 19.321 19.5083L17.9336 18.1303C17.8867 18.0834 17.8867 17.9896 17.9336 17.9428Z" fill="#F3F3F3" />
                    <path id="Path_26" d="M18.018 19.3396C18.0743 19.2927 18.1586 19.2927 18.2055 19.349L18.7774 20.0052C18.8242 20.0615 18.8149 20.1459 18.7586 20.1927C18.7024 20.2395 18.618 20.2395 18.5711 20.1833L17.9992 19.5271C17.9524 19.4803 17.9618 19.3959 18.018 19.3396Z" fill="#F3F3F3" />
                    <path id="Path_27" d="M16.6679 18.9834C16.7335 18.9366 16.8179 18.9553 16.8555 19.0209L17.9428 20.6427C17.9803 20.7083 17.9615 20.7927 17.9053 20.8302C17.8397 20.8771 17.7553 20.8583 17.7178 20.7927L16.6304 19.1708C16.5928 19.1053 16.6116 19.0208 16.6678 18.9834H16.6679Z" fill="#F3F3F3" />
                    <path id="Path_28" d="M16.4712 20.3708C16.5369 20.3333 16.6212 20.3521 16.6587 20.4177L17.09 21.177C17.1274 21.2426 17.0993 21.327 17.0337 21.3645C16.9681 21.402 16.8837 21.3833 16.8462 21.3176L16.415 20.5583C16.3869 20.4927 16.4056 20.4083 16.4711 20.3709L16.4712 20.3708Z" fill="#F3F3F3" />
                    <path id="Path_29" d="M15.2245 19.752C15.2995 19.724 15.3745 19.752 15.4027 19.8177L16.162 21.6269C16.1901 21.6926 16.1526 21.7769 16.087 21.805C16.0214 21.8332 15.937 21.805 15.909 21.7394L15.1496 19.9302C15.1215 19.8645 15.1589 19.7802 15.2245 19.752Z" fill="#F3F3F3" />
                    <path id="Path_30" d="M14.765 21.0833C14.8401 21.0552 14.915 21.0927 14.9431 21.1677L15.2151 21.9926C15.2431 22.0582 15.1963 22.1426 15.1307 22.1614C15.0557 22.1895 14.9807 22.152 14.9526 22.077L14.6807 21.2521C14.6526 21.1864 14.6901 21.1114 14.7651 21.0833H14.765Z" fill="#F3F3F3" />
                    <path id="Path_31" d="M13.6592 20.2302C13.7341 20.2114 13.8092 20.2583 13.8185 20.3333L14.2123 22.2551C14.231 22.33 14.1747 22.3957 14.0997 22.4144C14.0248 22.4332 13.9497 22.3863 13.9404 22.3113L13.5466 20.3895C13.5373 20.3239 13.5841 20.2489 13.6591 20.2301L13.6592 20.2302Z" fill="#F3F3F3" />
                    <path id="Path_32" d="M12.9466 21.4488C13.0216 21.4394 13.0872 21.4864 13.106 21.5614L13.2184 22.4238C13.2278 22.4988 13.1716 22.5644 13.0965 22.5738C13.0216 22.5832 12.956 22.5363 12.9372 22.4613L12.8248 21.5988C12.8154 21.5238 12.8716 21.4582 12.9466 21.4488Z" fill="#F3F3F3" />
                    <path id="Path_33" d="M11.9809 20.3989C12.0559 20.3989 12.1215 20.4552 12.1215 20.5302V22.4894C12.1215 22.5644 12.0559 22.6207 11.9809 22.6207C11.9059 22.6207 11.8403 22.5644 11.8403 22.4894V20.5302C11.8497 20.4552 11.9059 20.3989 11.9809 20.3989Z" fill="#F3F3F3" />
                    <path id="Path_34" d="M11.0432 21.4489C11.1182 21.4583 11.1745 21.5145 11.1745 21.5895L11.1088 22.4614C11.0996 22.5364 11.0339 22.5926 10.9589 22.5833C10.8839 22.5738 10.8276 22.5176 10.8276 22.4426L10.8932 21.5707C10.9026 21.4958 10.9682 21.4395 11.0432 21.4489Z" fill="#F3F3F3" />
                    <path id="Path_35" d="M10.3403 20.2302C10.4153 20.2489 10.4622 20.3145 10.4528 20.3895L10.0684 22.3113C10.0497 22.3863 9.98404 22.4332 9.90905 22.4144C9.83405 22.3957 9.78722 22.3301 9.7966 22.255L10.181 20.3333C10.1904 20.2677 10.2654 20.2208 10.3403 20.2302Z" fill="#F3F3F3" />
                    <path id="Path_36" d="M9.21557 21.0738C9.29066 21.0926 9.3375 21.1676 9.31872 21.2426L9.08435 22.0863C9.06567 22.1613 8.99067 22.1988 8.91568 22.1801C8.8796 22.1714 8.84845 22.1488 8.8291 22.1171C8.80975 22.0855 8.80379 22.0474 8.81252 22.0113L9.0469 21.1676C9.06567 21.0926 9.14067 21.0552 9.21566 21.0738H9.21557Z" fill="#F3F3F3" />
                    <path id="Path_37" d="M8.75593 19.7521C8.83093 19.7802 8.85899 19.8645 8.83093 19.9302L8.08097 21.7394C8.0529 21.8052 7.96842 21.8426 7.90291 21.8052C7.83721 21.7676 7.79966 21.6926 7.82782 21.627L8.57778 19.8177C8.60584 19.7521 8.69032 19.7146 8.75584 19.7521H8.75593Z" fill="#F3F3F3" />
                    <path id="Path_38" d="M7.49056 20.352C7.55617 20.3895 7.58424 20.4645 7.55617 20.5301L7.16242 21.3082C7.12487 21.3738 7.04988 21.402 6.97488 21.3644C6.90927 21.327 6.88121 21.252 6.90927 21.1864L7.30312 20.4083C7.34057 20.3426 7.41557 20.3145 7.49056 20.352Z" fill="#F3F3F3" />
                    <path id="Path_39" d="M7.30289 18.9647C7.3685 19.0115 7.38727 19.0959 7.34044 19.1521L6.25294 20.774C6.21549 20.8395 6.13102 20.8489 6.0655 20.8114C5.99989 20.7645 5.98112 20.6802 6.02796 20.6239L7.11545 19.0021C7.1529 18.9365 7.23728 18.9178 7.30289 18.9646V18.9647Z" fill="#F3F3F3" />
                    <path id="Path_40" d="M5.93446 19.3115C5.99077 19.3584 6.00945 19.4427 5.96262 19.499L5.41887 20.1833C5.37203 20.2395 5.28765 20.2489 5.23143 20.2021C5.1752 20.1553 5.15643 20.0709 5.20336 20.0145L5.74701 19.3302C5.79385 19.2741 5.87823 19.2646 5.93446 19.3115Z" fill="#F3F3F3" />
                    <path id="Path_41" d="M6.0282 17.9054C6.08442 17.9615 6.08442 18.046 6.0282 18.0928L4.64082 19.4708C4.5845 19.5272 4.50021 19.5178 4.45328 19.4708C4.40644 19.424 4.39705 19.3302 4.45328 19.2834L5.83127 17.9054C5.88759 17.8491 5.97197 17.8491 6.0282 17.9054Z" fill="#F3F3F3" />
                    <path id="Path_42" d="M4.62212 17.9803C4.66896 18.0365 4.66896 18.1209 4.61274 18.1678L3.94716 18.7303C3.89094 18.7771 3.80655 18.7678 3.75962 18.7115C3.71278 18.6552 3.71278 18.5709 3.76901 18.524L4.43459 17.9616C4.4909 17.9146 4.57519 17.924 4.62212 17.9803Z" fill="#F3F3F3" />
                    <path id="Path_43" d="M4.99695 16.6303C5.04379 16.696 5.02502 16.7803 4.95941 16.8178L3.32826 17.9053C3.26265 17.9428 3.17827 17.924 3.14082 17.8678C3.09389 17.8022 3.11266 17.7178 3.17827 17.6803L4.80951 16.5929C4.86583 16.5554 4.95012 16.5741 4.99705 16.6303H4.99695Z" fill="#F3F3F3" />
                    <path id="Path_44" d="M3.60017 16.4335C3.63771 16.4991 3.61894 16.5835 3.55333 16.6211L2.79398 17.0523C2.72837 17.0897 2.64399 17.0616 2.60654 16.996C2.569 16.9304 2.58777 16.846 2.65338 16.8085L3.41273 16.3773C3.47834 16.3397 3.56272 16.3679 3.60027 16.4335H3.60017Z" fill="#F3F3F3" />
                    <path id="Path_45" d="M4.22833 15.1867C4.25639 15.2617 4.22833 15.3367 4.15334 15.3648L2.34404 16.1148C2.27843 16.1429 2.19405 16.1055 2.16599 16.0398C2.13783 15.9648 2.16599 15.8898 2.24098 15.8617L4.05028 15.1117C4.11589 15.0837 4.20027 15.1117 4.22833 15.1867Z" fill="#F3F3F3" />
                    <path id="Path_46" d="M2.90626 14.718C2.93433 14.793 2.89688 14.868 2.82188 14.896L1.99692 15.1679C1.93132 15.196 1.84693 15.1492 1.82816 15.0836C1.8001 15.0086 1.83755 14.9336 1.91254 14.9055L2.7375 14.6336C2.80311 14.6055 2.8781 14.643 2.90626 14.718Z" fill="#F3F3F3" />
                    <path id="Path_47" d="M3.74994 13.6025C3.76862 13.6775 3.72178 13.7525 3.64679 13.7619L1.72495 14.1368C1.64996 14.1556 1.58435 14.0993 1.56567 14.0243C1.5469 13.9493 1.59373 13.8743 1.66873 13.8649L3.59056 13.4899C3.66556 13.4806 3.74056 13.5275 3.74985 13.6025H3.74994Z" fill="#F3F3F3" />
                    <path id="Path_48" d="M2.54996 12.8806C2.55925 12.9555 2.51242 13.0213 2.43742 13.0306L1.57501 13.1337C1.49992 13.1431 1.43431 13.0869 1.42502 13.0118C1.41563 12.9369 1.46247 12.8713 1.53747 12.8618L2.39997 12.7587C2.46558 12.7493 2.54058 12.8056 2.54996 12.8806Z" fill="#F3F3F3" />
                    <path id="Path_49" d="M3.60005 11.9712C3.60005 12.0463 3.54392 12.1119 3.46883 12.1119H1.50964C1.43464 12.1119 1.37842 12.0463 1.37842 11.9713C1.37842 11.8963 1.43464 11.8306 1.50964 11.8306H3.46892C3.54392 11.8306 3.60024 11.8963 3.60024 11.9713L3.60005 11.9712Z" fill="#F3F3F3" />
                    <path id="Path_50" d="M2.55975 11.0244C2.55026 11.0994 2.49404 11.1557 2.41904 11.1557L1.54715 11.09C1.47225 11.0807 1.41603 11.0151 1.42532 10.9401C1.43471 10.8651 1.49103 10.8088 1.56602 10.8088L2.43782 10.8744C2.50343 10.8838 2.55975 10.9494 2.55975 11.0244Z" fill="#E2E2E2" />
                    <path id="Path_51" d="M3.76898 10.34C3.75021 10.415 3.6846 10.4619 3.6096 10.4526L1.68786 10.0588C1.61287 10.04 1.56593 9.97442 1.58471 9.89943C1.60348 9.82443 1.66909 9.7775 1.74409 9.78698L3.66592 10.1713C3.73153 10.19 3.77837 10.265 3.76898 10.34Z" fill="#F3F3F3" />
                    <path id="Path_52" d="M2.92498 9.21518C2.91629 9.25124 2.89362 9.28236 2.86196 9.30169C2.83031 9.32103 2.79226 9.32698 2.75622 9.31824L1.91248 9.08386C1.83749 9.06509 1.80004 8.99009 1.81872 8.9151C1.82741 8.87904 1.85008 8.84792 1.88173 8.82858C1.91339 8.80925 1.95143 8.8033 1.98748 8.81204L2.83121 9.04641C2.90621 9.06509 2.94366 9.14009 2.92498 9.21508V9.21518Z" fill="#F3F3F3" />
                    <path id="Path_53" d="M4.24716 8.76524C4.21909 8.84014 4.13461 8.8683 4.0691 8.84014L2.25971 8.09018C2.1941 8.06212 2.15665 7.97773 2.18471 7.91213C2.21287 7.83713 2.29726 7.80897 2.36287 7.83713L4.17216 8.58709C4.24716 8.61515 4.27532 8.69954 4.24716 8.76515V8.76524Z" fill="#F3F3F3" />
                    <path id="Path_54" d="M3.63762 7.49954C3.60017 7.56515 3.52517 7.59331 3.45956 7.56515L2.68144 7.17149C2.61583 7.14333 2.58767 7.05895 2.62522 6.98396C2.66267 6.91835 2.73766 6.89019 2.80327 6.91835L3.5813 7.3121C3.647 7.34955 3.67516 7.43403 3.63762 7.49954Z" fill="#F3F3F3" />
                    <path id="Path_55" d="M5.01561 7.32146C4.96878 7.38716 4.89378 7.40594 4.82817 7.359L3.20632 6.281C3.14081 6.24345 3.13142 6.15907 3.16887 6.09346C3.20642 6.02785 3.2908 6.00907 3.35641 6.05591L4.98755 7.1434C5.04377 7.18095 5.06255 7.26533 5.01561 7.32146Z" fill="#F3F3F3" />
                    <path id="Path_56" d="M4.66859 5.96215C4.62176 6.01838 4.53737 6.03715 4.48115 5.99022L3.7968 5.45595C3.74058 5.40902 3.73119 5.32464 3.77803 5.26841C3.82486 5.21219 3.90924 5.19342 3.96556 5.24035L4.64982 5.77461C4.70614 5.82155 4.71553 5.90583 4.66859 5.96215Z" fill="#F3F3F3" />
                    <path id="Path_57" d="M6.06574 6.05587C6.00962 6.11219 5.92514 6.11219 5.8783 6.05587L4.48163 4.67788C4.42541 4.62165 4.4347 4.53727 4.48163 4.49034C4.53786 4.43421 4.62224 4.43421 4.66907 4.49034L6.05655 5.86843C6.11277 5.91526 6.11277 6.00903 6.06594 6.05597L6.06574 6.05587Z" fill="#F3F3F3" />
                    <path id="Path_58" d="M5.98127 4.65911C5.92505 4.70604 5.84066 4.70604 5.79373 4.64972L5.22183 3.99353C5.17509 3.93731 5.18438 3.85293 5.2407 3.80609C5.29682 3.75916 5.3813 3.75916 5.42814 3.81538L6.00004 4.47167C6.04688 4.5185 6.03749 4.60289 5.98127 4.65911Z" fill="#F3F3F3" />
                    <path id="Path_59" d="M7.3312 5.01542C7.26559 5.06226 7.18121 5.04348 7.14366 4.97787L6.04688 3.35602C6.00934 3.29041 6.02811 3.20603 6.08433 3.16858C6.14994 3.12174 6.23432 3.14052 6.27187 3.20613L7.35927 4.82788C7.4062 4.89349 7.38743 4.97787 7.3312 5.01532V5.01542Z" fill="#F3F3F3" />
                    <path id="Path_60" d="M7.52809 3.62793C7.46249 3.66538 7.3781 3.6467 7.34065 3.58109L6.90935 2.82174C6.8719 2.75613 6.89997 2.67175 6.96567 2.63421C7.03128 2.59676 7.11566 2.61543 7.15311 2.68114L7.58432 3.44039C7.61248 3.506 7.5937 3.59038 7.52819 3.62793H7.52809Z" fill="#F3F3F3" />
                    <path id="Path_61" d="M8.77495 4.24673C8.70005 4.27479 8.62496 4.24673 8.59689 4.18112L7.83755 2.37172C7.80948 2.30612 7.84693 2.22173 7.91254 2.19357C7.98754 2.16551 8.06253 2.19357 8.0906 2.25918L8.84995 4.06848C8.87811 4.13409 8.84066 4.21847 8.77495 4.24653V4.24673Z" fill="#F3F3F3" />
                    <path id="Path_62" d="M9.23416 2.91553C9.15916 2.94359 9.08416 2.90604 9.0561 2.83114L8.78418 2.00609C8.75612 1.94048 8.80295 1.8561 8.86856 1.83742C8.93417 1.81865 9.01855 1.84681 9.04662 1.9218L9.31854 2.74676C9.3466 2.81237 9.30915 2.88737 9.23416 2.91543V2.91553Z" fill="#F3F3F3" />
                    <path id="Path_63" d="M10.3405 3.7685C10.2655 3.78727 10.1905 3.74043 10.1811 3.66534L9.78733 1.7436C9.76856 1.66861 9.82488 1.603 9.89978 1.58422C9.97487 1.56545 10.0498 1.61229 10.0592 1.68738L10.453 3.60922C10.4623 3.67473 10.4155 3.74972 10.3405 3.7685Z" fill="#F3F3F3" />
                    <path id="Path_64" d="M11.0526 2.54984C10.9776 2.55922 10.912 2.51239 10.8933 2.43739L10.7808 1.57489C10.7714 1.49989 10.8276 1.43428 10.9027 1.4249C10.9776 1.41551 11.0432 1.46244 11.062 1.53744L11.1745 2.39985C11.1839 2.47484 11.1276 2.54045 11.0526 2.54984Z" fill="#F3F3F3" />
                </g>
                <path id="Path_65" d="M19.5834 4.41541L10.7339 10.7057L13.3588 13.3118L19.5834 4.41541" fill="#CD151E" />
                <path id="Path_66" d="M10.7432 10.687L12.065 11.99L19.5833 4.41541L10.7432 10.687Z" fill="#FA5153" />
                <path id="Path_67" d="M10.7432 10.687L13.3681 13.293L4.51855 19.5834L10.7432 10.6869V10.687Z" fill="#ACACAC" />
                <path id="Path_68" d="M4.51855 19.5834L12.065 11.99L10.7431 10.6869L4.51855 19.5834Z" fill="#EEEEEE" />
            </g>
        </symbol>
        <symbol id="settings" viewBox="0 0 24 24" fill="none">
            <path fillRule="evenodd" clipRule="evenodd" d="M15.6326 0C18.042 0 19.2464 0 20.5434 0.41C21.9594 0.9254 23.0746 2.0406 23.59 3.4566C24 4.7534 24 5.9582 24 8.3674V15.6326C24 18.042 24 19.2464 23.59 20.5434C23.0746 21.9594 21.9594 23.0746 20.5434 23.5898C19.2464 24 18.042 24 15.6326 24H8.3674C5.958 24 4.7534 24 3.4566 23.5898C2.0406 23.0746 0.9254 21.9594 0.41 20.5434C0 19.2464 0 18.042 0 15.6326V8.3674C0 5.9582 0 4.7534 0.41 3.4566C0.9254 2.0406 2.0406 0.9254 3.4566 0.41C4.7534 0 5.958 0 8.3674 0H15.6326Z" fill="#C0C4C9" />
            <circle cx="12.0001" cy="12" r="10.4" fill="#2E2E30" />
            <g filter="url(#filter0_d)">
                <path fillRule="evenodd" clipRule="evenodd" d="M12.7881 6.4704C12.7606 6.46652 12.733 6.46286 12.7055 6.4594L12.6413 5.69824C12.6214 5.46259 12.5589 5.45867 12.5013 5.686L12.3146 6.42394C12.2253 6.41895 12.1363 6.41611 12.0476 6.41539L11.8909 5.66669C11.8424 5.43522 11.7799 5.43895 11.7505 5.67159L11.6552 6.42596C11.5632 6.43168 11.4717 6.43966 11.3807 6.44986L11.1475 5.7246C11.0751 5.49947 11.0133 5.50971 11.0084 5.74415L10.9924 6.50734C10.9046 6.52353 10.8174 6.54179 10.7309 6.56208L10.4107 5.86983C10.3114 5.6552 10.2513 5.67289 10.275 5.90619L10.3521 6.66516C10.267 6.69159 10.1826 6.72001 10.0991 6.75039L9.69623 6.10134C9.57152 5.9004 9.51403 5.92529 9.56598 6.15396L9.73491 6.89748C9.65356 6.93372 9.57316 6.97185 9.49378 7.01183L9.01417 6.41587C8.86591 6.23163 8.81188 6.26334 8.89132 6.48397L9.14936 7.20069C9.07285 7.24619 8.99746 7.29348 8.92325 7.34251L8.37415 6.80901C8.20454 6.64421 8.15478 6.68227 8.26051 6.89157L8.60336 7.57029C8.53043 7.62615 8.45886 7.68379 8.38873 7.74317L7.78994 7.2724C7.60403 7.12624 7.55853 7.16928 7.68556 7.36639L8.09835 8.00692C8.0344 8.06921 7.9719 8.13306 7.91091 8.19842L7.25993 7.80456C7.05759 7.68215 7.01767 7.73042 7.16777 7.91058L7.65382 8.49394C7.59746 8.5635 7.5427 8.63448 7.48962 8.70685L6.79665 8.39579C6.5809 8.29894 6.54716 8.35172 6.7181 8.51225L7.26951 9.03005C7.22162 9.10598 7.17547 9.1832 7.13113 9.26168L6.40663 9.03776C6.18069 8.96793 6.15363 9.02443 6.34286 9.16292L6.95114 9.60811C6.91249 9.68934 6.87572 9.77173 6.84087 9.85523L6.09539 9.72144C5.86262 9.67967 5.84265 9.73904 6.04734 9.85344L6.70341 10.2201C6.67377 10.308 6.6462 10.397 6.62078 10.487L5.86968 10.4322C5.63382 10.415 5.62016 10.4761 5.8357 10.5685L6.52801 10.8652C6.50957 10.9535 6.49315 11.0426 6.47881 11.1326L5.72733 11.1697C5.49113 11.1814 5.48503 11.2437 5.71021 11.3091L6.43074 11.5185C6.42255 11.6095 6.4166 11.7004 6.41285 11.7908L5.67333 11.9189C5.44031 11.9593 5.44185 12.0219 5.67333 12.0594L6.41021 12.1787C6.41277 12.2705 6.41758 12.3619 6.4246 12.4527L5.70844 12.6693C5.48208 12.7377 5.49124 12.7997 5.72556 12.8087L6.46781 12.8372C6.48168 12.931 6.4979 13.0242 6.51643 13.1166L5.83203 13.4047C5.61406 13.4964 5.62965 13.5571 5.86363 13.5415L6.60537 13.4923C6.62977 13.5814 6.65633 13.6697 6.68501 13.7572L6.04199 14.1258C5.83683 14.2434 5.85969 14.3018 6.09003 14.2578L6.81766 14.119C6.8525 14.2048 6.88944 14.2896 6.9284 14.3734L6.33589 14.817C6.14659 14.9588 6.17639 15.0139 6.39966 14.9422L7.10257 14.7165C7.14738 14.7978 7.19417 14.8778 7.24289 14.9567L6.7096 15.4686C6.53898 15.6323 6.57528 15.6834 6.78815 15.585L7.45586 15.2765C7.51005 15.3521 7.5661 15.4264 7.62396 15.4993L7.15786 16.0713C7.00848 16.2546 7.05072 16.3008 7.25002 16.1773L7.87255 15.7913C7.93719 15.8622 8.00368 15.9315 8.07194 15.999L7.67115 16.6121C7.54175 16.8101 7.5886 16.8516 7.77388 16.7079L8.35287 16.2588C8.42378 16.32 8.4963 16.3795 8.57037 16.4372L8.24811 17.0929C8.14379 17.3051 8.19536 17.3407 8.36175 17.1755L8.87935 16.6614C8.95725 16.714 9.03662 16.7647 9.1174 16.8134L8.87798 17.5019C8.8003 17.7253 8.85582 17.7543 9.00084 17.57L9.45021 16.999C9.53398 17.042 9.61907 17.083 9.70541 17.1219L9.55188 17.8335C9.50201 18.0647 9.56065 18.0867 9.68212 17.8861L10.0575 17.2662C10.1459 17.299 10.2354 17.3296 10.326 17.358L10.2603 18.0829C10.239 18.3184 10.2999 18.3331 10.396 18.1192L10.6925 17.4594C10.7866 17.4821 10.8817 17.5024 10.9777 17.5203L10.9882 18.2446C10.9916 18.4811 11.0537 18.4894 11.1269 18.2666L11.3535 17.5775C11.4482 17.5887 11.5426 17.5974 11.6367 17.6038L11.7353 18.321C11.7675 18.5553 11.8301 18.5559 11.8757 18.3259L12.0161 17.6166C12.1116 17.6166 12.2066 17.6141 12.3012 17.6093L12.4862 18.3083C12.5467 18.5369 12.609 18.5299 12.6261 18.296L12.6789 17.577C12.7738 17.5657 12.8681 17.5519 12.9616 17.5358L13.2303 18.2067C13.3183 18.4262 13.3792 18.4117 13.3677 18.1775L13.3326 17.4587C13.4254 17.4361 13.5174 17.4112 13.6085 17.3839L13.9573 18.0176C14.0713 18.2248 14.13 18.203 14.0901 17.9719L13.9677 17.2632C14.0594 17.2289 14.15 17.1922 14.2395 17.1532L14.6513 17.7451C14.7863 17.9392 14.8425 17.9114 14.7786 17.6857L14.5818 16.9903C14.6663 16.9465 14.7497 16.9005 14.8318 16.8525L15.3136 17.391C15.4713 17.5672 15.5236 17.5327 15.4327 17.3165L15.1526 16.6502C15.2312 16.5968 15.3085 16.5414 15.3843 16.4842L15.9293 16.9609C16.1073 17.1165 16.155 17.0759 16.0385 16.8725L15.6793 16.2453C15.751 16.1831 15.8212 16.1191 15.8897 16.0533L16.4898 16.4608C16.6854 16.5936 16.7278 16.5475 16.5874 16.3598L16.1546 15.7813C16.2184 15.7112 16.2804 15.6394 16.3407 15.566L16.9871 15.8978C17.1975 16.0058 17.234 15.9549 17.0717 15.7857L16.5717 15.2643C16.6281 15.1852 16.6825 15.1045 16.7349 15.0223L17.4105 15.284C17.6311 15.3694 17.662 15.315 17.4829 15.1636L16.9281 14.6948C16.9733 14.612 17.0164 14.5278 17.0575 14.4423L17.762 14.6202C17.9913 14.6781 18.0154 14.6203 17.8192 14.4919L17.2105 14.0936C17.2452 14.0063 17.2779 13.9179 17.3084 13.8283L18.0325 13.9194C18.2671 13.949 18.284 13.8886 18.0735 13.7851L17.4191 13.4631C17.4431 13.3728 17.465 13.2815 17.4847 13.1893L18.218 13.1915C18.4545 13.1923 18.4639 13.1303 18.2424 13.0532L17.5518 12.8127L17.5542 12.7953C17.5669 12.7055 17.5773 12.6158 17.5855 12.5265L18.3146 12.4521C18.5498 12.4281 18.5527 12.3655 18.3244 12.312L17.6078 12.1439C17.6101 12.0503 17.61 11.9571 17.6076 11.8643L18.3244 11.7011C18.5549 11.6486 18.5501 11.5861 18.317 11.5608L17.5844 11.4812C17.5756 11.3884 17.5645 11.2961 17.5511 11.2044L18.2451 10.9541C18.4676 10.8739 18.4552 10.8125 18.2207 10.8158L17.4824 10.8261C17.4627 10.7354 17.4408 10.6455 17.4167 10.5563L18.078 10.2218C18.289 10.1151 18.2692 10.0557 18.0369 10.0875L17.3033 10.188C17.2731 10.1008 17.2408 10.0145 17.2064 9.92914L17.8253 9.51446C18.0217 9.38281 17.9949 9.32623 17.7681 9.38613L17.0499 9.57591C17.0087 9.49097 16.9653 9.40715 16.92 9.32453L17.4923 8.84724C17.6739 8.69578 17.6413 8.64232 17.4221 8.72559L16.722 8.99155C16.6727 8.91479 16.6215 8.83925 16.5685 8.76501L17.0809 8.21889C17.2427 8.04642 17.2038 7.99734 16.9964 8.1067L16.3323 8.45683C16.2746 8.3867 16.2152 8.31795 16.1542 8.25065L16.598 7.64368C16.7376 7.45278 16.693 7.4088 16.5004 7.54263L15.883 7.97177C15.8177 7.90913 15.7509 7.84802 15.6825 7.78851L16.0503 7.12972C16.1656 6.92323 16.1159 6.88502 15.9411 7.04132L15.38 7.54306C15.308 7.48873 15.2346 7.43606 15.1599 7.38512L15.4456 6.68426C15.5348 6.46526 15.4809 6.43338 15.3264 6.60982L14.8301 7.17683C14.7501 7.13017 14.6688 7.08541 14.5862 7.04261L14.7967 6.31693C14.8626 6.08981 14.8056 6.06374 14.6705 6.25536L14.2333 6.87514C14.1511 6.83966 14.0679 6.80605 13.9836 6.77438L14.1045 6.02567C14.1422 5.79221 14.0825 5.77328 13.9717 5.97994L13.6126 6.64968C13.5272 6.62428 13.4409 6.60083 13.3537 6.57937L13.3826 5.81847C13.3916 5.58215 13.33 5.57064 13.2452 5.78926L12.97 6.49895C12.9097 6.48849 12.8491 6.47897 12.7881 6.4704ZM11.3597 16.5553C13.8755 16.9089 16.2016 15.156 16.5551 12.6403C16.9087 10.1245 15.1559 7.7984 12.6401 7.44483C10.1243 7.09126 7.79823 8.84408 7.44466 11.3599C7.09109 13.8756 8.84391 16.2017 11.3597 16.5553Z" fill="#AFB0B3" />
            </g>
            <path fillRule="evenodd" clipRule="evenodd" d="M11.86 3.60114C11.9066 3.60038 11.9533 3.59999 12 3.59999C12.1058 3.59999 12.2111 3.60195 12.3159 3.60582L12.5433 2.63614C12.6227 2.29787 12.7154 2.30207 12.751 2.65066L12.8522 3.64269C13.0043 3.65801 13.1552 3.6774 13.3048 3.70073L13.6487 2.76611C13.7687 2.44003 13.8602 2.4555 13.8531 2.80583L13.8327 3.8005C13.9819 3.83371 14.1296 3.87088 14.2757 3.9119L14.731 3.02611C14.8898 2.71709 14.9788 2.7436 14.929 3.09044L14.7877 4.07364C14.935 4.12542 15.0803 4.18118 15.2237 4.2408L15.7667 3.41093C15.957 3.1202 16.0427 3.15586 15.9569 3.4956L15.7126 4.46288C15.8494 4.53038 15.9841 4.6015 16.1165 4.6761L16.7578 3.91729C16.9821 3.65192 17.0628 3.69776 16.9362 4.02451L16.576 4.95462C16.7036 5.03769 16.8288 5.12413 16.9515 5.21382L17.6819 4.53752C17.9369 4.30145 18.0114 4.35679 17.846 4.66568L17.3752 5.54467C17.492 5.64206 17.6062 5.74255 17.7175 5.84604L18.5261 5.26287C18.8079 5.05963 18.8752 5.12364 18.6733 5.41007L18.0994 6.2244C18.204 6.33476 18.3055 6.44795 18.404 6.56385L19.2785 6.08315C19.5829 5.91577 19.6419 5.9875 19.4066 6.24719L18.7389 6.98434C18.8317 7.10886 18.9212 7.23605 19.0071 7.36576L19.9225 6.98097C20.2428 6.84634 20.294 6.92383 20.0329 7.15751L19.2894 7.82284C19.3651 7.95469 19.4374 8.08878 19.506 8.22501L20.4616 7.95463C20.7959 7.86003 20.8372 7.94318 20.5496 8.14329L19.7321 8.71201C19.7917 8.85187 19.8476 8.99368 19.8996 9.13732L20.8816 8.98533C21.2249 8.93218 21.2558 9.01974 20.9459 9.1833L20.0662 9.64765C20.1086 9.79343 20.1472 9.94086 20.1819 10.0898L21.1765 10.0586C21.5238 10.0477 21.5437 10.1383 21.2162 10.2629L20.2866 10.6165C20.3114 10.766 20.3322 10.9168 20.349 11.0688L21.3422 11.1592C21.6882 11.1907 21.697 11.2831 21.3568 11.3669L20.3909 11.6046C20.397 11.7356 20.4 11.8675 20.4 12C20.4 12.0236 20.3999 12.0471 20.3997 12.0706L21.3748 12.2637C21.7157 12.3312 21.7147 12.424 21.3676 12.4717L20.3784 12.6077C20.3675 12.7603 20.3525 12.9117 20.3335 13.0619L21.278 13.3724C21.608 13.4809 21.5958 13.573 21.2454 13.578L20.2493 13.5924C20.2205 13.7426 20.1877 13.8914 20.1509 14.0386V14.0386L21.0505 14.4619C21.3648 14.6098 21.3414 14.6997 20.9931 14.662L20.0044 14.5551C19.9579 14.7007 19.9076 14.8446 19.8536 14.9866L20.6955 15.5168C20.9895 15.7019 20.9553 15.7883 20.6141 15.7084L19.6466 15.482C19.5819 15.6238 19.5134 15.7636 19.4411 15.9011L20.2203 16.5143C20.4933 16.7292 20.4503 16.8115 20.1194 16.6964L19.1762 16.3684C19.0968 16.4985 19.014 16.6262 18.928 16.7515L19.628 17.4565C19.8728 17.7031 19.8201 17.7795 19.5057 17.6249L18.6096 17.1845C18.5156 17.3042 18.4185 17.4212 18.3183 17.5355L18.9283 18.322C19.1412 18.5965 19.0796 18.6659 18.7863 18.4742L17.9511 17.9283C17.8438 18.036 17.7337 18.1408 17.6207 18.2425L18.1309 19.0985C18.3088 19.3969 18.2392 19.4583 17.9714 19.2323L17.2101 18.5895C17.0909 18.6838 16.9691 18.775 16.8448 18.8629L17.2471 19.7751C17.3873 20.093 17.3107 20.1454 17.0725 19.8884L16.3964 19.159C16.2642 19.2404 16.1295 19.3182 15.9925 19.3924L16.2957 20.3369C16.4019 20.6678 16.3203 20.7119 16.1102 20.4314L15.5122 19.6328C15.3741 19.6964 15.2341 19.7564 15.0921 19.8126L15.2781 20.7875C15.3432 21.1288 15.2568 21.1627 15.0825 20.8587L14.5868 19.9942C14.4423 20.0409 14.2962 20.0838 14.1484 20.1228L14.2142 21.1144C14.2372 21.4611 14.1473 21.4841 14.0114 21.1612L13.6249 20.243V20.243C13.4762 20.2721 13.3261 20.2973 13.1747 20.3185L13.1191 21.3129C13.0997 21.6598 13.0076 21.6718 12.912 21.3347L12.6403 20.376C12.4895 20.3873 12.3377 20.3947 12.1848 20.398L12.0081 21.3803C11.9465 21.7223 11.8537 21.723 11.7999 21.3767L11.6471 20.3927C11.4911 20.3863 11.3361 20.3756 11.1823 20.3607L10.9051 21.3148C10.8081 21.6485 10.7157 21.6394 10.6985 21.2895L10.6492 20.292C10.4983 20.2676 10.3488 20.2392 10.2008 20.2068L9.80935 21.12C9.67247 21.4393 9.58187 21.4191 9.60737 21.0696L9.6799 20.0755C9.53306 20.0334 9.38787 19.9874 9.24444 19.9376L8.74437 20.7967C8.56959 21.097 8.48214 21.0659 8.55003 20.7221L8.74299 19.7452C8.60237 19.686 8.4637 19.6231 8.3271 19.5566L7.72514 20.3496C7.51507 20.6263 7.43205 20.5848 7.54134 20.2518L7.85184 19.306C7.71945 19.2306 7.58931 19.1518 7.46155 19.0696H7.46155L6.76601 19.7848C6.52378 20.0339 6.44645 19.9825 6.59549 19.6654L7.01893 18.7645C6.89387 18.6722 6.77146 18.5766 6.65184 18.4777L5.8878 19.1143C5.62086 19.3367 5.54932 19.2775 5.73069 18.9777L6.24837 18.122C6.13767 18.018 6.0298 17.911 5.92488 17.8011L5.08785 18.3405C4.7958 18.5287 4.732 18.4613 4.94856 18.1858L5.56593 17.4005C5.46823 17.2842 5.37363 17.1653 5.28225 17.0438L4.38517 17.4774C4.07235 17.6286 4.01725 17.5539 4.26577 17.3069L4.97296 16.6039C4.88961 16.477 4.8096 16.3476 4.73306 16.216L3.78964 16.5371C3.46073 16.6491 3.41514 16.5682 3.69191 16.3533L4.47798 15.743C4.41021 15.607 4.34601 15.469 4.28552 15.329L3.30967 15.5329C2.96956 15.6039 2.93418 15.5181 3.23507 15.3385L4.08841 14.8293C4.03619 14.6833 3.9879 14.5354 3.94366 14.3858L2.95591 14.4861C2.61024 14.5212 2.58401 14.4321 2.90203 14.285L3.80799 13.8659C3.77448 13.7181 3.74486 13.5689 3.71925 13.4183L2.72471 13.3974C2.37734 13.3901 2.36217 13.2985 2.69574 13.1913L3.64616 12.8856C3.63041 12.7353 3.61862 12.5838 3.6109 12.4312L2.6241 12.289C2.28021 12.2394 2.27631 12.1467 2.62047 12.0809L3.60069 11.8934C3.60259 11.7406 3.60857 11.5888 3.61852 11.4381L2.6555 11.1764C2.32021 11.0853 2.32764 10.9928 2.67726 10.9694L3.67102 10.9029C3.69121 10.7481 3.71562 10.5946 3.74412 10.4426L3.74412 10.4426L2.81862 10.0836C2.49469 9.95795 2.51175 9.8667 2.8619 9.87998L3.86009 9.91785C3.89783 9.76987 3.93949 9.62346 3.98497 9.47874L3.10988 9.0095C2.80367 8.8453 2.83173 8.75681 3.17765 8.81267L4.16246 8.9717C4.21749 8.82938 4.27628 8.68895 4.33871 8.5505L3.52634 7.97741C3.24243 7.77712 3.28106 7.69271 3.61759 7.79031L4.57521 8.06804C4.64663 7.93346 4.7216 7.80106 4.79999 7.67095L4.06214 7.00188C3.80476 6.76849 3.85339 6.68942 4.17552 6.8273L5.09202 7.2196C5.17869 7.09459 5.26866 6.97205 5.36181 6.85211L5.36182 6.85211L4.70976 6.09666C4.48273 5.83364 4.54064 5.76108 4.84356 5.93719L5.70507 6.43805C5.80792 6.32174 5.91394 6.2083 6.02299 6.09787L5.45557 5.28141C5.25729 4.9961 5.32246 4.93 5.60532 5.13681L6.41297 5.72734C6.52634 5.62628 6.64247 5.52826 6.76123 5.43339L6.29722 4.55328C6.13518 4.24593 6.20793 4.18826 6.46347 4.428L7.19184 5.11134C7.31632 5.02429 7.44328 4.94053 7.57257 4.86018L7.21923 3.92994C7.09586 3.60514 7.17509 3.55676 7.39951 3.82586L8.03786 4.59129L8.03786 4.59129C8.17178 4.51952 8.30787 4.45128 8.446 4.38668L8.20863 3.42019C8.12576 3.08277 8.2103 3.04441 8.40025 3.33885L8.93962 4.17492C9.08105 4.11957 9.22435 4.06793 9.36939 4.02015L9.25149 3.03121C9.21036 2.6862 9.29894 2.65843 9.45159 2.97383L9.88467 3.8686C10.0346 3.82969 10.1862 3.79483 10.3394 3.76412L10.3255 2.77172C10.3207 2.42431 10.4117 2.40595 10.5305 2.73557L10.8694 3.67543C11.0194 3.65526 11.1706 3.63904 11.3229 3.62689L11.4304 2.63802C11.4679 2.29261 11.5605 2.28547 11.6383 2.62713L11.86 3.60114ZM13.0199 11.518C12.5788 11.5032 12.0367 11.1121 11.8182 10.7304L9.27362 6.323C8.99923 5.84347 9.31324 5.30629 9.73534 5.06259C10.0181 4.89931 10.956 4.6016 12.1983 4.6026C15.6917 4.69448 18.582 7.20741 19.253 10.5251C19.3134 11.0802 18.8418 11.5246 18.3431 11.5171L13.0199 11.518ZM8.4529 6.7669L11.0843 11.291C11.2991 11.6763 11.2877 12.3719 11.0664 12.7519L8.52176 17.1593C8.24366 17.6367 7.5535 17.6906 7.1314 17.4469C6.85059 17.2848 6.13213 16.6297 5.51475 15.5667C4.93175 14.5089 4.60003 13.2932 4.60003 12C4.60003 9.81858 5.53941 7.86818 7.04104 6.51381C7.52623 6.24272 8.20009 6.31352 8.4529 6.7669ZM19.1731 13.4178C19.1731 12.9304 18.7992 12.4554 18.2467 12.4533H13.1575C12.7177 12.4516 12.1744 12.7572 11.9482 13.1359L9.34588 17.6768C9.06165 18.1525 9.28777 18.7552 9.83938 19.0179C10.6702 19.4672 12.8287 19.45 14.4881 18.9713C15.7617 18.5167 16.8742 17.723 17.7169 16.699C18.8274 15.2929 19.1731 13.8357 19.1731 13.4178ZM12 12.4C12.2209 12.4 12.4 12.2209 12.4 12C12.4 11.7791 12.2209 11.6 12 11.6C11.7791 11.6 11.6 11.7791 11.6 12C11.6 12.2209 11.7791 12.4 12 12.4Z" fill="#C3C4C6" />
            <defs>
                <filter id="filter0_d" x="3.65869" y="3.65869" width="16.6827" height="16.6827" filterUnits="userSpaceOnUse" colorInterpolationFilters="sRGB">
                    <feFlood floodOpacity="0" result="BackgroundImageFix" />
                    <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha" />
                    <feOffset />
                    <feGaussianBlur stdDeviation="0.5" />
                    <feColorMatrix type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0.2 0" />
                    <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow" />
                    <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape" />
                </filter>
            </defs>
        </symbol>
        <symbol id="compass" viewBox="0 0 24 24" fill="none">
            <circle cx="12" cy="12" r="9" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M9 15L15 9" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
            <path d="M11 11L13 13" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
            <path d="M12.5 10.5L13.5 11.5" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
            <path d="M10.5 12.5L11.5 13.5" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" />
        </symbol>
        <symbol id="network" viewBox="0 0 24 24" fill="none">
            <path fillRule="evenodd" clipRule="evenodd" d="M12 21C16.9706 21 21 16.9706 21 12C21 7.02944 16.9706 3 12 3C7.02944 3 3 7.02944 3 12C3 16.9706 7.02944 21 12 21Z" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M14.5001 3.5C14.7747 4.66688 14.9927 5.83376 15.1542 7.00065" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M19.0002 7C17.7516 7.35674 16.503 7.61803 15.2544 7.78387C15.4181 9.18865 15.5002 10.5943 15.5002 12C15.5002 13.406 15.4181 14.812 15.2539 16.218C16.5017 16.3817 17.7509 16.6431 19.0002 17" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M15.1541 17.0004C14.9926 18.1669 14.7747 19.3335 14.5002 20.5" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M9.49982 20.5C9.22533 19.3335 9.00736 18.1669 8.84589 17.0004" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M5 17C6.24891 16.6432 7.49781 16.3818 8.74672 16.216C8.58208 14.812 8.5 13.406 8.5 12C8.5 10.5943 8.58205 9.18865 8.74614 7.78297C7.49781 7.61816 6.24891 7.35683 5 7V7" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M8.84582 7.00065C9.0073 5.83376 9.22533 4.66688 9.49989 3.5V3.5" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M9.50098 16.1275C10.3341 16.0425 11.1673 16 12.0004 16C12.8335 16 13.6667 16.0425 14.4998 16.1275" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M14.4998 7.87253C13.6667 7.95753 12.8335 8.00003 12.0004 8.00003C11.1673 8.00003 10.3341 7.95753 9.50098 7.87253" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
            <path d="M3 12H21" stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
        </symbol>
        <symbol id="faq" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
            <g stroke="currentColor" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round">
                <path clipRule="evenodd" d="M12 20.5a8.5 8.5 0 1 0 0-17 8.5 8.5 0 0 0 0 17Z" />
                <path d="M10 9.303c.02-.821 1.002-1.526 2.004-1.526s1.6.39 2.004 1.223c.31.703.006 1.546-1.069 2.28-.87.557-1.143 1.133-1.143 2.179M11.796 15.895c.012.002 0-.19 0-.19" />
            </g>
        </symbol>
        <symbol id="arrow" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M8.03516 10.9305L11.9647 14.9997L16.0339 11.0702" stroke="#A4A4A4" strokeWidth="1.5" strokeLinecap="round" strokeLinejoin="round" />
        </symbol>
    </svg>
);
